#include <iostream>
using namespace std; 
int main(int argc, char** argv) {
	int n;
	int x;
	int final;
	cin>>n;
	cin>>x;
	int niz[n];
	for(int i=0; i<n; i++)
	{
		cin>>niz[i];
	}
	int maxi;
	maxi=niz[0];
	int mini;
	mini=niz[0];
	for(int i=0; i<n; i++)
	{
		if(niz[i]>maxi){
			maxi=niz[i];
		} else if (niz[i]<mini)
		{
			mini=niz[i];
		}
	}
	if(mini<x&&maxi<x){
		final=(mini-x)*-1;
	} else if (mini>x && maxi>x) {
		final=maxi-x;
	} else {
        if((mini-x)*-1>(maxi-x))
        {
        	final=2*(maxi-x)+((mini-x)*-1);
		} else 
		{
			final=-2*(mini-x)+(maxi-x);
		}
	}
	cout<<final;
}